package com.uas.platform.b2b.erp.exception;

/**
 * 异常分类信息
 *
 * @author hejq
 * @date 2018-07-03
 */
public enum ExceptionNote {

    /**
     * 委外单未找到
     */
    MAKE_NOTFOUND("委外单"),

    /**
     * 采购单主表未找到
     */
    SALE_NOTFOUND("采购单主表"),

    /**
     * 采购单明细未找到
     */
    SALEITEM_NOTFOUND("采购单明细"),

    /**
     * 采购单物料未找到
     */
    SALE_PRODUCT_NOTFOUND("采购单物料"),

    /**
     * 委外单物料未找到
     */
    MAKE_PRODUCT_NOTFOUND("委外单物料"),

    /**
     * 询价单物料未找到
     */
    INQUIRY_PRODUCT_NOTFOUND("询价单物料"),

    /**
     * 打样申请单物料未找到
     */
    PROOF_PRODUCT_NOTFOUND("打样申请单物料"),

    /**
     * 采购变更单变更物料未找到
     */
    PURC_CHANGE_PRODUCT_NOTFOUND("采购变更单变更物料");

    private final String phrase;

    ExceptionNote(String phrase) {
        this.phrase = phrase;
    }

    public String getPhrase() {
        return this.phrase;
    }
}
